# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

Name:		perl-Test-Output
Version:	1.01
Release:	1.%{__distinit}%{__distvers}
Summary:	Utilities to test STDOUT and STDERR messages
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Test-Output/
Source0:	http://search.cpan.org/CPAN/authors/id/B/BD/BDFOY/Test-Output-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Sub::Exporter)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod) >= 1.14
BuildRequires:	perl(Test::Pod::Coverage) >= 1.04
BuildRequires:	perl(Test::Tester) >= 0.107
Requires:	perl(Test::Tester) >= 0.107
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Test::Output provides a simple interface for testing output sent to STDOUT
or STDERR. A number of different utilities are included to try to be as
flexible as possible to the tester.

%prep
%setup -q -n Test-Output-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} \; 2>/dev/null
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Output.3pm*
%{_mandir}/man3/Test::Output::Tie.3pm*

%changelog
* Fri Apr 22 2011 Paul Howarth <paul@city-fan.org> 1.01-1
- Update to 1.01:
  - Added META_MERGE features from chorny
  - Update tests with hardcoded regex stringification for Perl's new (?^:) stuff
  - Fix cat-o with handling $,
- Drop File::Temp requirement as it isn't actually used
- Nobody else likes macros for commands

* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> 0.16-4
- Rebuild for perl 5.12.1 in Rawhide

* Sun May 30 2010 Paul Howarth <paul@city-fan.org> 0.16-3
- Fix dist tag for RHEL-6 Beta

* Wed Mar  3 2010 Paul Howarth <paul@city-fan.org> 0.16-2
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Sun May 17 2009 Paul Howarth <paul@city-fan.org> 0.16-1
- Update to 0.16
- Revert to previous upstream maintainer -> URL change
- Reinstate Test::Output::Tie
- Buildreq/Req File::Temp >= 0.21 as per upstream requirement
- Bump version req for Test::Tester to 0.107

* Wed May 13 2009 Paul Howarth <paul@city-fan.org> 0.15-1
- Update to 0.15 (fix POD Coverage test)
- Re-enable POD Coverage test

* Tue May 12 2009 Paul Howarth <paul@city-fan.org> 0.14-1
- Update to 0.14
  - Fixes CPAN RT#18107 (can't capture output from system() calls)
  - Fixes CPAN RT#45598 (module's tests are not properly defined)
- Another new upstream maintainer -> URL change
- Disable failing POD Coverage test
- Test::Output::Tie no longer included
- Fix spurious exec permissions in upstream tarball
- Buildreq/Req File::Temp >= 0.17 as Test::Output uses :seekable

* Mon Mar  9 2009 Paul Howarth <paul@city-fan.org> 0.13-1
- Update to 0.13 (new upstream maintainer -> docs/URL changes)
- Update to SLES-compatible dist tag macros

* Mon Oct 27 2008 Paul Howarth <paul@city-fan.org> 0.12-1
- Update to 0.12
- Re-enable POD coverage test

* Thu Oct 23 2008 Paul Howarth <paul@city-fan.org> 0.11-1
- Update to 0.11
- Disable broken POD coverage test

* Tue Sep  2 2008 Paul Howarth <paul@city-fan.org> 0.10-5
- Import from Fedora

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.10-4
- Rebuild for perl 5.10 (again)

* Thu Jan 24 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.10-3
- Rebuild for new perl
- Fix license tag

* Thu Jul 05 2007 Steven Pritchard <steve@kspei.com> 0.10-2
- Rebuild

* Mon Jul 02 2007 Steven Pritchard <steve@kspei.com> 0.10-1
- Specfile autogenerated by cpanspec 1.71
- Fix License
- BR Test::Pod and Test::Pod::Coverage
